@import url('https://fonts.googleapis.com/css2?family=Montserrat:wght@400;500;700&family=Nunito:wght@500;700&display=swap');

/* https://www.youtube.com/watch?v=R4owT-LcKOo */
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
font-family: 'Montserrat', 'Nunito', sans-serif !important;
}

:root {
  --textBlack: #000;
  --textWhite: #fff;
  --primary-color: #545454;
  --secondary-color: #fbd008;
  --tertiary-color: #b5b49e;
  --bg-color: #1d1d1d;
  --hover-color: #fff130;
  --hover-color2: #FFFDD0;
}

#menu {
  cursor: pointer;
}

div.daily-scroll::-webkit-scrollbar {
  display: none;
}

div.bg-main {
  background-color: #F5F5F7 !important;
}

h1.text-main,
h4.text-main {
  color: var(--primary-color) !important;
}

.navbar {
  transition: all .3s ease-in;
}

/* Dropdown Selector CSS */
.select-box {
  width: 300px;
  position: relative;
}

.select-option {
  position: relative;
  display: flex;
  align-items: center;
}

#dropIcon {
  transition: 300ms;
}

.drop-icon {
  rotate: 180deg;
}

.select-option input {
  width: 100%;
  border-radius: 7px;
  cursor: pointer;
  font-size: 18px;
  padding: 15px 20px;
  border: 0 !important;
  outline: 0 !important;
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
}

.select-option i {
  cursor: pointer;
}


.content {
  background-color: #fff;
  position: absolute;
  columns: #000;
  border-radius: 7px;
  margin-top: -10px;
  width: 100%;
  z-index: 999;
  padding: 20px 20px 5px 20px;
  display: none;
}

.search input {
  width: 100%;
  font-size: 16px;
  padding: 8px;
  outline: 0;
  border: 1px solid #b3b3b3;
  border-radius: 5px;
}

.options {
  margin-top: 10px;
  max-width: 550px;
  max-height: 230px;
  overflow-y: auto;
  padding: 0;
}

.options li {
  text-align: start;
  padding: 10px 15px;
  font-size: 16px;
  cursor: pointer;
  border-bottom: 1px solid gray;
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
}

.options li:hover {
  background-color: #f2f2f2;
}

.select-box.active .content {
  display: block;
}

.select-box.active .select-option:after {
  transform: rotate(-180deg);
}

/* End of Dropdown */

/* Dropdown Selector CSS MOBILE */
.select-box-mobile {
  width: 100%;
  position: relative;
}

.select-option-mobile {
  position: relative;
  display: flex;
  align-items: center;
}

#dropIconMobile {
  transition: 300ms;
}

.drop-icon-mobile {
  rotate: 180deg;
}

.select-option-mobile input {
  width: 100%;
  border-radius: 7px;
  cursor: pointer;
  font-size: 16px;
  padding: 15px 20px 15px 0;
  border: 0 !important;
  outline: 0 !important;
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
  padding-right: 30px;
}

.select-option-mobile i {
  cursor: pointer;
}

.content-mobile {
  background-color: #fff;
  position: absolute;
  columns: #000;
  border-radius: 7px;
  width: 100%;
  z-index: 1000;
  padding: 10px 15px;
  display: none;
}

.search-mobile input {
  width: 100%;
  font-size: 16px;
  padding: 8px;
  outline: 0;
  border: 1px solid #b3b3b3;
  border-radius: 5px;
}

.options-mobile {
  margin-top: 10px;
  max-width: 550px;
  max-height: 250px;
  overflow-y: auto;
  padding: 0;
}

.options-mobile li {
  padding: 10px 15px;
  font-size: 16px;
  cursor: pointer;
  border-bottom: 1px solid var(--primary-color);
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
}

.options-mobile li:hover {
  background-color: #f2f2f2;
}

.select-box-mobile.active .content-mobile {
  display: block;
}

.select-box-mobile.active .select-option-mobile:after {
  transform: rotate(-180deg);
}

/* End of Dropdown MOBILE */

.sidebar {
  /* display: none !important; */
  width: 0px;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  position: fixed;
  z-index: 98;
  left: 0;
  transition: 0.5s;
  overflow: hidden;
  white-space: nowrap;
}

.item-link.active{
  color:var(--secondary-color) !important;
}

.item-link{
  transition: all 300ms ease-out;
}

.item-link:hover{
  color:var(--secondary-color) !important;
}

select {
  font-size: 1.2em;
  border: none;
  cursor: pointer;
}

select:focus {
  border: none;
  outline: none;
}


/* TOGGLE CONVERT */
/* The switch - the box around the slider */
.switch {
  font-size: 17px;
  position: relative;
  display: inline-block;
  width: 3.5em;
  height: 2em;
}

/* Hide default HTML checkbox */
.switch input {
  opacity: 0;
  width: 0;
  height: 0;
}

/* The slider */
.slider {
  position: absolute;
  cursor: pointer;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: #d9d9d9;
  border: 1px solid #d9d9d9;
  transition: .4s;
  border-radius: 32px;
  outline: none;
}

.slider:before {
  position: absolute;
  content: "";
  height: 2rem;
  width: 2rem;
  border-radius: 50%;
  outline: 2px solid #d9d9d9;
  left: 0;
  bottom: 0;
  background-color: #fff;
  transition: transform .25s ease-in-out 0s;
}

.slider-icon {
  font-weight: bold;
  opacity: 1;
  height: 12px;
  width: 12px;
  position: absolute;
  z-index: 999;
  right: 70%;
  top: 15%;
  transition: right ease-in-out .3s, opacity ease-in-out .15s;
}

.slider-icon2 {
  font-weight: bold;
  opacity: 0;
  height: 12px;
  width: 12px;
  position: absolute;
  z-index: 999;
  top: 15%;
  right: 23%;
  transition: all ease-in-out .3s, opacity ease-in-out .15s;
}

input:checked+.slider {
  background-color: #d9d9d9;
}

input:checked+.slider .slider-icon {
  opacity: 0;
}

input:checked+.slider .slider-icon2 {
  opacity: 1;
}

input:checked+.slider:before {
  transform: translateX(1.5em);
  /*outline: none;*/
}

/* TOGGLE CONVERT */
div.daily-scroll {
  height: 310px !important;
}

h1.label-title {
  font-size: 16px !important;
}

h4.date-title {
  font-size: 14px !important;
}

h4.temp-title {
  font-size: 14px !important;
}

h4.feel-title {
  font-size: 12px !important;
}

h4.time-mobile {
  font-size: 12px !important;
}

h4.for-mobile {
  font-size: 10px !important;
}

p.daily-info {
  font-size: 13px !important;
}

div.card-forecast {
  height: 150px !important;
}

@media screen and (min-width: 768px) {
  div.daily-scroll {
    height: 370px !important;
  }

  h1.label-title {
    font-size: 20px !important;
  }

  h4.date-title {
    font-size: 18px !important;
  }

  h4.temp-title {
    font-size: 20px !important;
  }

  h4.feel-title {
    font-size: 18px !important;
  }

  h4.time-mobile {
    font-size: 20px !important;
  }

  h4.for-mobile {
    font-size: 18px !important;
  }

  p.daily-info {
    font-size: 16px !important;
  }
}

@media screen and (min-width: 320px) {
  span.navigation-prev {
    left: -8px !important;
  }

  span.navigation-next {
    right: -15px !important;
  }

  div.card-desc {
    height: 175px !important;
  }
}

@media screen and (min-width: 425px) {
  span.navigation-prev {
    left: -5px !important;
  }

  span.navigation-next {
    right: -12px !important;
  }

  div.container-scroll {
    margin-left: 7px !important;
  }
}

/* LIVE */
#yellowCircle, #grayCircle{
  width: 13px;
  height: 13px;
  border-radius: 50%;
}

#yellowCircle{
  background: #fbd008;
  animation: blinkingAnim .4s infinite linear alternate;
}

#grayCircle{
  background: #545454;
  animation: blinkingAnim .4s 200ms infinite linear alternate;
}

@keyframes blinkingAnim {
  from{
    opacity: 0.3;
  }

  to{
    opacity: 1;
  }
}

/* LIVE */
